<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, "js/views/member-upgrade.js");
</script>

<div class="card">
    <div class="card-block">

        <h4>Kit Afiliación</h4>
        <div class="table-responsive">
            <table class="table table-condensed table-striped jambo_table">
                <thead>
                    <tr class="headings">
                        <th>Id</th>
                        <th th:text="#{date}"></th>
                        <th th:text="#{active}"></th>
                        <th th:text="#{activation}"></th>
                        <th th:text="#{item}"></th>
                        <th th:text="#{orders.referrer}"></th>
                        <th th:text="#{orders.member}"></th>
                        <th th:text="#{type}"></th>
                        <th th:text="#{orders.external}" th:title="#{orders.external.long}"></th>
                        <th th:text="#{price}"></th>
                        <th th:text="#{orders.paymentType}"></th>
                        <th th:text="#{status}"></th>
                    </tr>
                </thead>
                <tbody>
                    <tr th:each="item : ${orders}">                                
                        <td th:text="${item.id}"></td>
                        <td th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                        <td>
                            <span th:if="${item.active}" class="label label-success" th:text="#{yes}">Si</span>                                            
                            <span th:if="${!item.active}" class="label label-danger" th:text="#{no}">No</span>                                            
                        </td>
                        <td>
                            <span th:if="${item.activationDate != null}" th:text="${#dates.format(item.activationDate, 'dd/MM/yyyy')}" th:title="${#dates.format(item.activationDate, 'dd/MM/yyyy HH:mm:ss')}"></span>
                        </td>

                        <td>
                            <span th:if="${item.orderItem != null}" th:text="${item.orderItem.name}" th:title="${item.storeTitle}"></span> 
                            <span th:if="${item.orderItem == null}">--</span>
                            <i th:if="${item.multiple}" class="fa fa-asterisk" th:title="#{orders.extra.multiple}"></i>
                            <i th:if="${item.withPrize}" class="fa fa-trophy" th:title="#{orders.extra.prize}"></i>
                        </td>

                        <td th:text="${item.storeId}"></td>
                        <td th:text="${item.memberId}"></td>
                        <td>
                            <span>
                                <div th:switch="${item.type}" th:title="'Items ' + ${item.items.size()}">
                                    <span th:case="kit" class="label label-info" th:text="#{${item.type}}">Kit</span>
                                    <span th:case="product" class="label label-info" th:text="#{${item.type}}">Producto</span>
                                    <span th:case="mix" class="label label-success" th:text="#{${item.type}}">Mix</span>
                                    <span th:case="service" class="label label-warning" th:text="#{${item.type}}">Servicio</span>
                                    <span th:case="upgrade" class="label label-warning" th:text="#{${item.type}}">Upgrade</span>
                                    <span th:case="store" class="label label-warning" th:text="#{${item.type}}">Store</span>
                                </div>
                            </span>
                        </td>
                        <td>
                            <span th:text="${item.externalId}"></span> 
                        </td>                                
                        <td>
                            <span th:text="${item.getPaymentAmountText()}"></span> 
                        </td>
                        <td>
                            <span th:text="#{${item.paymentType}}" th:title="${item.comment}"></span> 
                        </td>
                        <td>
                            <span>
                                <div th:switch="${item.status}" th:title="${item.comment}">
                                    <span th:case="paid" class="label label-success" th:text="#{${item.status}}"></span>
                                    <span th:case="pending" class="label label-danger" th:text="#{${item.status}}"></span>
                                    <span th:case="review" class="label label-warning" th:text="#{${item.status}}"></span>
                                    <span th:case="shipped" class="label label-info" th:text="#{${item.status}}"></span>
                                    <span th:case="delivered" class="label label-info" th:text="#{${item.status}}"></span>
                                    <span th:case="*" class="label label-default" th:text="${item.status}"></span>
                                </div>
                            </span>
                        </td>                            
                    </tr>
                </tbody>
            </table>
        </div>

        <h4 th:text="#{selectUpgrade}">Seleccione upgrade</h4>
        <form class="form-horizontal form-inline" id="request-form" method="POST" action="/admin/members/kit/upgrade">
            <input type="hidden" name="memberId" th:value="${member.id}"/>
            <select class="form-control" id="upgradeSelect" name="upgradeSelect">
                <option selected="selected" disabled="true"><span th:text="#{optSelect}"></span></option>
                <option th:each="item : ${storeItems}" th:value="${item.id}" th:text="${item.name}"></option>
            </select>
        </form>
    </div>

    <div id="alert_placeholder"></div>

    <hr/>
    <button class="btn btn-danger" data-dismiss="modal" th:text="#{btnCancel}">Cancelar</button>
    <button class="btn btn-success pull-right" id="save" th:text="#{btnSave}">Guardar</button>
</div>

